//=======================================================================
// ascii.cc : afficher un tableau des caractres avec leurs codes ascii
// Copyright (C) 2003-2007 by Michael Eisermann, all rights reserved
// Institut Fourier, Universit Joseph Fourier, Grenoble, France
//=======================================================================

#include <iostream>   // dclarer l'entre-sortie standard
#include <iomanip>    // manipulateurs pour formater les flots
using namespace std;  // accs direct aux fonctions standard

int main()
{
  // Afficher le titre et la tte du tableau
  cout << "\nVoici le tableau ASCII" << endl;
  cout << "    | ";
  for ( int j=0; j<16; ++j ) 
    cout << setw(3) << j;
  cout << endl;
  cout << "----+-";
  for ( int j=0; j<16; ++j ) 
    cout << "---";
  cout << endl;
  
  // Afficher le tableau ASCII
  for ( int i=32; i<256; i+=16 )
    {
      cout << setw(3) << i << " | ";
      for ( int j=0; j<=15; ++j ) 
	cout << "  " << char(i+j);
      cout << endl;
    };
  cout << endl;
}
