//=======================================================================
// deviner.cc : implmentation du jeu "trop petit, trop grand"
// Copyright (C) 2003-2007 Michael Eisermann, all rights reserved
// Institut Fourier, Universit Joseph Fourier, Grenoble, France
//=======================================================================

#include <iostream>   // dclarer l'entre-sortie standard
#include <iomanip>    // manipulateurs pour formater les flots
using namespace std;  // accs direct aux fonctions standard

int main()
{
  cout << "\nBienvenue au jeu \"trop petit, trop grand\" !\n"
       << "Je vais deviner votre nombre secret entre 1 et m\n"
       << "pourvu que vous rpondiez honntement  mes questions\n"
       << "en tappant `t'rouv ou trop `p'etit ou trop `g'rand.\n";
  cout << "Entrez m svp : ";
  int max; 
  cin >> max; 
  if ( max < 1 ) 
    {
      cout << "Votre rponse ne permet pas de jouer.\n"
	   << "Au revoir.\n" << endl;
      return 0;
    }
  int min= 1;
  
  for( int rang=1; ; ++rang )
    {
      cout << "\nEn supposant que vous m'avez rpondu honntement,\n";
      if ( min==max )
	{
	  cout << "je conclus que votre nombre vaut " 
	       << min << ".\nAu revoir.\n" << endl;
	  return 0;
	}
      cout << "je sais maintenant que votre nombre est compris entre "
	   << min << " et " << max << ".\n";
      
      int devine= (min+max)/2;
      cout << "Question " << rang << " : ";
      cout << "votre nombre vaut-il " << devine << " ? (t/p/g) ";
      char reponse; cin >> reponse;
      
      if ( reponse == 't' )
	{
	  cout << "J'ai donc trouv : votre nombre vaut " 
	       << devine << ".\n" << endl;
	  return 0;
	}
      
      if ( reponse == 'p' )
	{
	  min= devine+1;
	  continue;
	}
      
      if ( reponse == 'g' )
	{
	  if ( devine == min )
	    {
	      cout << "\nVos rponses sont contradictoires.\n"
		   << "Au revoir.\n" << endl;
	      return 0;
	    };
	  max= devine-1;
	  continue;
	}

      cout << "Je n'ai pas compris votre rponse." << endl;
      --rang;
    }
}
