/*=======================================================================*\
 * fraction.cc : fonctions rationnelles sur un anneau intgre
 * Copyright (C) 2004 by Michael Eisermann, all rights reserved
 * Institut Fourier, Universit Joseph Fourier, Grenoble, France
 *-----------------------------------------------------------------------
 * Ce petit programme illustre l'usage de la classe gnrique Polynome
 * en combinaison avec Fraction qui modlise le corps des fraction.
\*=======================================================================*/

#include <iostream>
#include <iomanip>
#include "pecoprem.hh"
#include "polynome.hh"
#include "fraction.hh"
using namespace std;

typedef GF<257> F;
typedef Polynome<F> Poly;
typedef Fraction<Poly> Frac;

int main()
{
  Poly a( "(X+2X2+X3)" );
  Poly b( "(-2+X)" );
  Frac q(a,b);
  cout << q << endl;

  cout << "Au revoir." << endl;
}
