#include <iostream>                    // dclarer l'entre-sortie standard
using namespace std;                   // accs direct aux fonctions standards
typedef long long int Integer;         // imaginez ici un type de grande taille

Integer puissance2( Integer& x )       // passage par rfrence (ici erron)
{
  x= x*x;             // ceci change la valeur de x (rpercut sur la variable originale)
  return x;           // renvoyer la nouvelle valeur de x comme rsultat
}

Integer puissance3( const Integer& x ) // passage par rfrence constante (trs utile)
{
  Integer y= x*x*x;   // ce calcul respecte la nature constante de x
  return y;           // renvoyer la valeur de y comme rsultat
}

Integer puissance4( Integer x )        // passage par copie (inutile mais pas faux)
{
  x= x*x;             // calculer d'abord le carr...
  x= x*x;             // ... puis la puissance 4 du paramtre
  return x;           // renvoyer cette dernire valeur comme rsultat
}

Integer incrementer( Integer& x )      // passage par rfrence (ici ncessaire)
{
  Integer y= x;       // stocker la valeur initiale de x
  x= x+1;             // incrmenter la valeur de la variable x
  return y;           // renvoyer y qui est l'ancienne valeur de x
}

int main()
{
  Integer a= 2;
  cout << "a = " << a << endl;
  cout << "puissance2(a) = " << puissance2(a) << endl;
  cout << "a = " << a << endl;
  cout << "puissance3(a) = " << puissance3(a) << endl;
  cout << "a = " << a << endl;
  cout << "puissance4(a) = " << puissance4(a) << endl;
  cout << "a = " << a << endl;
  cout << "incrementer(a) = " << incrementer(a) << endl;
  cout << "a = " << a << endl;
}
