//=======================================================================
// Though this be madness, yet there is method in't. (Hamlet, 2.2)
//=======================================================================

// Puissance dichotragique selon Rosencrantz
Integer puiss( const Integer& x, const Integer& n )
{
  Integer y= puiss( x, n/2 );
  if ( n%2 == 0 ) return y*y; 
  else return y*y*x;
}

// Puissance dichocomique selon Guildenstern
Integer poiss( const Integer& x, const Integer& n )
{
  if ( n < 0 )  return 0;
  if ( n == 0 ) return 1;
  if ( n == 1 ) return x;
  Integer m= n/2;
  return poiss( x, m ) * poiss( x, n-m );
}
