//=======================================================================
// quot.hh : quotient d'un anneau euclidien modulo un élément fixé
// Copyright (C) 2003-2009 Michael Eisermann, all rights reserved
// Institut Fourier, Université Joseph Fourier, Grenoble, France
//=======================================================================

#include <iostream>
#include "integer.cc"
#include "quot+.hh"
using namespace std;

int main()
{
  Quot<Integer> a(11), b(12);
  cout << "a = " << a.representant() << " mod " << a.module() << endl;
  cout << "b = " << b.representant() << " mod " << b.module() << endl;
  Quot<Integer>::module(5);
  cout << "a = " << a.representant() << " mod " << a.module() << endl;
  cout << "b = " << b.representant() << " mod " << b.module() << endl;
  Quot<Integer> c= a+b;
  cout << "c = " << c.representant() << " mod " << c.module() << endl;
}
